// Animations

@include animation('animated-dropdown', (duration: 'normal')) {
    0% {
        opacity: 0;
        top: -20px;
    }

    100% {
        opacity: 1;
        top: 0;
    }
}

@include animation('fall', (duration: 'slow')) {
    0% {
        opacity: 0;
        transform: scale(.98) translateY(-.6em);
    }
    
    100% {
        opacity: 1;
        transform: scale(1) translateY(0);
    }
}

@include animation('slide-to-left', (duration: 'fast')) {
    from {
        opacity: 0;
        transform: translateX(100%);
        overflow-x: hidden;
    }

    to {
        opacity: 1;
        transform: translateX(0);
        overflow-x: hidden;
    }
}

@include animation('faded', (duration: 'normal')) {
    0% {
        opacity: 0;
    }

    50% {
        opacity: .5;
    }

    100% {
        opacity: 1;
    }
}

@include animation('blow', (duration: 'fast'), (animation-iteration-count: infinite)) {
    0% {
        box-shadow: 0 0 0 0 rgba(#fff, .4);
        opacity: 1;
        transform: scale3d(1, 1, .5);
    }

    50% {
        box-shadow: 0 0 0 10px rgba(#fff, .4);
        opacity: .5;
        transform: scale3d(1, 1, .5);
    }

    100% {
        box-shadow: 0 0 0 20px rgba(#fff, .4);
        opacity: 0;
        transform: scale3d(1, 1, .5);
    }
}

@include animation('nav-drop', (duration: 'fast')) {
    0% {
        opacity: 0;
        top: 0;
    }
    100% {
        opacity: 1;
        top: 100%;
    }
}

@include animation('rotate', (duration: 'slow'), (animation-iteration-count: infinite, animation-timing-function: linear)) {
    from {
        transform: rotate(0deg);
    }

    to {
        transform: rotate(360deg);
    }
}

